Package org.gradle.process

## Interface ExecOutput.StandardStreamContent

- Enclosing interface:
    ExecOutput

      @Incubating
      public static interface ExecOutput.StandardStreamContent

  A handle to access content of the process' standard stream (the standard output of the standard error output).
  Since:
    7.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<byte[]>` | `getAsBytes()` | Gets a provider for the standard stream's content that returns it as a byte array.
    `Provider<java.lang.String>` | `getAsText()` | Gets a provider for the standard stream's content that returns it as a String.

- - ### Method Detail

    - #### getAsText

          Provider<java.lang.String> getAsText()

      Gets a provider for the standard stream's content that returns it as a String. The output is decoded using the default encoding of the JVM running the build.

      The external process is executed only once and only when the value is requested for the first time.

      If starting the process results in exception then the ensuing exception is permanently propagated to callers of `Provider.get()`, `Provider.getOrElse(T)`, `Provider.getOrNull()` and `Provider.isPresent()`.

    - #### getAsBytes

          Provider<byte[]> getAsBytes()

      Gets a provider for the standard stream's content that returns it as a byte array.

      The external process is executed only once and only when the value is requested for the first time.

      If starting the process results in exception then the ensuing exception is permanently propagated to callers of `Provider.get()`, `Provider.getOrElse(T)`, `Provider.getOrNull()` and `Provider.isPresent()`.